Bug 1440464

Summary: Validation fail on: Invalid conditional detected: EOL while scanning string literal (<unknown>, line 1)
Product: Red Hat OpenStack Reporter: Ola Pavlenko <opavlenk>
Component: openstack-tripleo-validationsAssignee: Florian Fuchs <flfuchs>
Status: CLOSED ERRATA QA Contact: Ola Pavlenko <opavlenk>
Severity: medium Docs Contact:
Priority: medium    
Version: 11.0 (Ocata)CC: akrivoka, beth.white, eric.yocom, jjoyce, jschluet, slinaber, tvignaud
Target Milestone: betaKeywords: Regression, Triaged
Target Release: 12.0 (Pike)   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: openstack-tripleo-validations-7.4.0-0.20170918153806.efe8a72.el7ost Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-12-13 21:23:38 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1502603    
Bug Blocks:    

Description Ola Pavlenko 2017-04-09 05:19:20 UTC
Description of problem:
Validation: Verify existence of deployment images. fails with :
output:

Task 'Check for required images' failed:
Host: localhost
Message: The conditional check '"{{ item }}" not in "{{ shell_result.stdout }}"' failed. The error was: Invalid conditional detected: EOL while scanning string literal (<unknown>, line 1)

The error appears to have been in '/usr/share/openstack-tripleo-validations/validations/deployment-images.yaml': line 16, column 5, but may
be elsewhere in the file depending on the exact syntax problem.

The offending line appears to be:


  - name: Check for required images
    ^ here


Failure! The validation failed for all hosts:
* localhost

Version-Release number of selected component (if applicable):
openstack-tripleo-ui-3.1.0-8.el7ost.noarch

How reproducible:
100%

Steps to Reproduce:
1. verify overcloud images are uploaded in glance 'openstack image list --format value --column Name'
2.run " Verify existence of deployment images" validation on UI

Actual results:
Validation fails

Expected results:
Validation succeeds 

Additional info:

Comment 2 Eric Yocom 2017-09-14 16:42:50 UTC
Fix: shell_result.stdout to shell_result.stdout_lines 

Example:

  - name: Check for required images
    fail: msg='The image "{{ item }}" is missing.'
    when: '"{{ item }}" not in "{{ shell_result.stdout_lines }}"'
    with_items:
    - bm-deploy-kernel
    - bm-deploy-ramdisk

Comment 3 Florian Fuchs 2017-09-20 14:41:55 UTC
*** Bug 1490125 has been marked as a duplicate of this bug. ***

Comment 7 errata-xmlrpc 2017-12-13 21:23:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:3462